loci.plugins.in

## Class MemoryDialog

- java.lang.Object
- - loci.plugins.prefs.OptionsDialog
  - - loci.plugins.in.ImporterDialog
    - - loci.plugins.in.MemoryDialog

-     public class MemoryDialog
      extends ImporterDialog

  Bio-Formats Importer memory usage confirmation dialog box.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `availMem` Remaining memory for the JVM.
    `private static long` | `MINIMUM_MEMORY_PADDING` Minimum amount of wiggle room for available memory, in bytes.
    `private long` | `needMem` Required memory for the dataset, in bytes.

    - ### Fields inherited from class loci.plugins.in.ImporterDialog

      `options, process`

    - ### Fields inherited from class loci.plugins.prefs.OptionsDialog

      `IS_GLITCHED, optionsList, STATUS_CANCELED, STATUS_FINISHED, STATUS_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryDialog(ImportProcess process)` Creates a memory confirmation dialog for the Bio-Formats Importer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ij.gui.GenericDialog` | `constructDialog()`
    `private long` | `getAvailableMemory()`
    `protected boolean` | `harvestResults(ij.gui.GenericDialog gd)`
    `protected boolean` | `needPrompt()`

    - ### Methods inherited from class loci.plugins.in.ImporterDialog

      `displayDialog, showDialog`

    - ### Methods inherited from class loci.plugins.prefs.OptionsDialog

      `addCheckbox, addChoice, sleep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MINIMUM_MEMORY_PADDING

          private static final long MINIMUM_MEMORY_PADDING

      Minimum amount of wiggle room for available memory, in bytes.
      See Also:
        Constant Field Values

    - #### needMem

          private long needMem

      Required memory for the dataset, in bytes.

    - #### availMem

          private long availMem

      Remaining memory for the JVM.

  - ### Constructor Detail

    - #### MemoryDialog

          public MemoryDialog(ImportProcess process)

      Creates a memory confirmation dialog for the Bio-Formats Importer.

  - ### Method Detail

    - #### needPrompt

          protected boolean needPrompt()

      Specified by:
        `needPrompt` in class `ImporterDialog`

    - #### constructDialog

          protected ij.gui.GenericDialog constructDialog()

      Specified by:
        `constructDialog` in class `ImporterDialog`

    - #### harvestResults

          protected boolean harvestResults(ij.gui.GenericDialog gd)

      Specified by:
        `harvestResults` in class `ImporterDialog`

    - #### getAvailableMemory

          private long getAvailableMemory()

Copyright © 2026 Open Microscopy Environment